DummySymbolList (BioJava-1.5-beta API)
Keywords: org.biojava.bio.symbol.DummySymbolList class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.symbol
Class DummySymbolList

    java.lang.Object
      org.biojava.utils.AbstractChangeable
          org.biojava.bio.symbol.AbstractSymbolList
              org.biojava.bio.symbol.DummySymbolList

All Implemented Interfaces:
  Serializable, SymbolList, Changeable

    public class DummySymbolList

extends AbstractSymbolList
implements Serializable

Symbol list which just consists of non-informative symbols. A DummySymbolList can be constructed over any Alphabet, and may be of any length. Calls to the symbolAt method will always return the non-informative symbol for the alphabet in question (i.e. 'n' for DNA, 'X' for protein, etc.).

Since:
  1.2
Author:
  Thomas Down, Matthew Pocock
See Also:
  Serialized Form
For general use:
  If you wish to work with `Feature` objects, but don't have the actual sequence data available, you can construct a `SimpleSequence` from a `DummySequence`, and create features. on that.

Nested Class Summary

Nested classes/interfaces inherited from class org.biojava.bio.symbol.AbstractSymbolList
`AbstractSymbolList.EditScreener, AbstractSymbolList.EditTranslater`

Field Summary

Fields inherited from interface org.biojava.bio.symbol.SymbolList
`EDIT, EMPTY_LIST`

Constructor Summary
`DummySymbolList(Alphabet alpha, int length, Symbol sym)`
`DummySymbolList(FiniteAlphabet alpha, int length)`

Method Summary
`Alphabet` | `getAlphabet()` The alphabet that this SymbolList is over.
`int` | `length()` The number of symbols in this SymbolList.
`Symbol` | `symbolAt(int i)` Return the symbol at index, counting from 1.

Methods inherited from class org.biojava.bio.symbol.AbstractSymbolList
`edit, equals, hashCode, iterator, seqString, subList, subStr, toList, toString`

Methods inherited from class org.biojava.utils.AbstractChangeable
`addChangeListener, addChangeListener, generateChangeSupport, getChangeSupport, hasListeners, hasListeners, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Constructor Detail

### DummySymbolList

    public DummySymbolList(FiniteAlphabet alpha,
                           int length)

### DummySymbolList

    public DummySymbolList(Alphabet alpha,
                           int length,
                           Symbol sym)
                    throws IllegalSymbolException

Throws:
  `IllegalSymbolException`

Method Detail

### getAlphabet

    public Alphabet getAlphabet()

  Description copied from interface: `SymbolList`
  The alphabet that this SymbolList is over.

  Every symbol within this SymbolList is a member of this alphabet. `alphabet.contains(symbol) == true` for each symbol that is within this sequence.

  Specified by:
    `getAlphabet` in interface `SymbolList`
  Returns:
    the alphabet

### length

    public int length()

  Description copied from interface: `SymbolList`
  The number of symbols in this SymbolList.

  Specified by:
    `length` in interface `SymbolList`
  Returns:
    the length

### symbolAt

    public Symbol symbolAt(int i)

  Description copied from interface: `SymbolList`
  Return the symbol at index, counting from 1.

  Specified by:
    `symbolAt` in interface `SymbolList`
  Parameters:
    `i` - the offset into this SymbolList
  Returns:
    the Symbol at that index

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD